using System;

namespace SharpQuake
{
	internal class areanode_t
	{
		public void Clear()
		{
			this.axis = 0;
			this.dist = 0f;
			this.children[0] = null;
			this.children[1] = null;
			this.trigger_edicts.ClearToNulls();
			this.solid_edicts.ClearToNulls();
		}

		public areanode_t()
		{
			this.children = new areanode_t[2];
			this.trigger_edicts = new link_t(this);
			this.solid_edicts = new link_t(this);
		}

		public int axis;

		public float dist;

		public areanode_t[] children;

		public link_t trigger_edicts;

		public link_t solid_edicts;
	}
}
